<?

 /*************************************************************************************
 * Filename: modules/pluginConfigs.php
 *
 * This file is part of the Calendar JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Calendar JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/calendar/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_calendar_pluginConfigs extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginConfigs")
    $this->extend("pluginConfigs");

   $this->data->title="Calendar plugin configuration";

   $this->data->addField("style", "enum", "all", "", false, false, "Horizontal", "Style");
   $this->data->enumOptions("style", "Horizontal", "Vertical");

   $this->data->addField("dateformat", "text", "all", "", 1, 255, "H:i d-m-Y", "Date format");

   $this->data->addField("interval", "nr", "all", "", false, false, 3600*15, "Interval");
   $this->data->listOptions("interval", Array(1 => "Seconds", 60 => "Minutes", 60*15 => "15 Minutes", 3600/2 => "Half hour", 3600 => "Hours", 86400 => "Days", 86400*7 => "Weeks", 86400*(365/12) => "Months", 86400*365 => "Years"));

   $this->data->addField("intervalHeader", "nr", "all", "", false, false, 3600, "Header interval");
   $this->data->listOptions("intervalHeader", Array(1 => "Seconds", 60 => "Minutes", 60*15 => "15 Minutes", 3600/2 => "Half hour", 3600 => "Hours", 86400 => "Days", 86400*7 => "Weeks", 86400*(365/12) => "Months", 86400*365 => "Years"));

   $this->data->addField("listcatnr", "nr", "all", "", false, false, 1, "Timeline entries category");
   $this->data->addReference("listcatnr", "categories", "nr", "*:1");
  }
 }
?>
