<?

 /*************************************************************************************
 * Filename: modules/timelineEntries.php
 *
 * This file is part of the Calendar JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Calendar JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/calendar/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_calendar_timelineEntries extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="Calendar timeline entries";

   $this->data->defaultFields();

   $this->data->addField("section", "text", "all", "title", 1, 255, "", "Section");
   $this->data->addField("title", "text", "all", "title", 1, 255, "", "Title");
   $this->data->addField("text", "text", "all", "", 0, 65536, "", "Text");

   $this->data->addField("start", "datetime", "all", "", 0, false, (ceil(time()/3600)*3600), "Start time");
   $this->data->addField("end", "datetime", "all", "", 0, false, (ceil(time()/3600)*3600)+3600, "End time");

   $this->data->addField("class", "text", "all", "", 0, 255, "", "CSS class");
  }

  function postInit(){return $this->customizeFields();}
  function copyPostGet(){return $this->customizeFields();}
  function editPostGet(){return $this->customizeFields();}

  function customizeFields()
  {
   //endless loop protection
   global $_calendar_timelineEntriesCustomizingFields;

   if($_calendar_timelineEntriesCustomizingFields)
    return true;

   $_calendar_timelineEntriesCustomizingFields=true;

   //get all sections for preset list options
   $d=Data::cache($this->data->module, "view", "all");
   $d->clearValues();
   $d->setShowFields("section");

   if(!$d->get())
   {
    $this->data->e->add($d->e);

    $_calendar_timelineEntriesCustomizingFields=false;
    return false;
   }

   if($d->vmax)
   {
    $options=Array("");
    while($d->next())
     $options[]=$d->v["section"];
 
    $this->data->listOptions("section", $options);
 
    unset($d, $options);
   }

   $_calendar_timelineEntriesCustomizingFields=false;
   return true;
  }

 }
?>
